org.apache.ignite.internal.util.lang

## Interface IgniteThrowableConsumer<E>

Type Parameters:
  `E` - The type of the input to the operation.

All Superinterfaces:
  Serializable

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IgniteThrowableConsumer<E>
    extends Serializable

Represents an operation that accepts a single input argument and returns no result. Unlike most other functional interfaces, `IgniteThrowableConsumer` is expected to operate via side-effects. Also it is able to throw `IgniteCheckedException` unlike `Consumer`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `accept(E e)` Performs this operation on the given argument.

### Method Detail

#### accept

    void accept(E e)
         throws IgniteCheckedException

Performs this operation on the given argument.

Parameters:
  `e` - the input argument
Throws:
  `IgniteCheckedException` - If body execution was failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021